VLCKit

Instance Methods | Properties | List of all members
VLCTranscoder Class Reference

`#import <VLCTranscoder.h>`

Inheritance diagram for VLCTranscoder:

## Instance Methods
(BOOL) | - reencodeAndMuxSRTFile:toMP4File:outputPath:

## Properties
id< VLCTranscoderDelegate > | delegate

## Detailed Description

Provides an object to convert a subtitle file and moviefile into one.

## Method Documentation

## ◆ reencodeAndMuxSRTFile:toMP4File:outputPath:

- (BOOL) reencodeAndMuxSRTFile: |  | (NSString *) | srtPath
toMP4File: |  | (NSString *) | mp4Path
outputPath: |  | (NSString *) | outPath

Reencode and remuxes an srt and mp4 file to an mkv file with embedded subtitles either with VideoToolbox-based H264 encoding or VP80 is Videotoolbox is not available

Parameters

  srtPath | path to srt file
  mp4Path | path to mp4 file
  outPath | path where the new file should be written to

Returns
  an BOOL with the success status, returns NO if the subtitle file is not an srt or mp4File is not an mp4 file or the files don't exist at that path or transcoding failed for other reasons

## Property Documentation

## ◆ delegate

- (id<VLCTranscoderDelegate>) delegate
| read write nonatomic weak

the delegate object implementing the optional protocol

The documentation for this class was generated from the following file:

- Headers/Public/VLCTranscoder.h